TypeScript
const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customer_id: 'cus_123'})
};
fetch('https://api.useautumn.com/v1/licenses.list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useautumn.com/v1/licenses.list"
payload = { "customer_id": "cus_123" }
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.useautumn.com/v1/licenses.list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"customer_id": "cus_123"
}
'{
"list": [
{
"license_plan_id": "seat_plan",
"parent_plan_id": "pro_plan",
"license_plan_name": "Seat",
"granted": 10,
"usage": 3,
"remaining": 7,
"paid_quantity": 5
}
]
}
Licenses
List Licenses
Lists a customer’s license pools and available seats.
POST
/
v1
/
licenses.list
TypeScript
const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({customer_id: 'cus_123'})
};
fetch('https://api.useautumn.com/v1/licenses.list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useautumn.com/v1/licenses.list"
payload = { "customer_id": "cus_123" }
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)curl --request POST \
--url https://api.useautumn.com/v1/licenses.list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"customer_id": "cus_123"
}
'{
"list": [
{
"license_plan_id": "seat_plan",
"parent_plan_id": "pro_plan",
"license_plan_name": "Seat",
"granted": 10,
"usage": 3,
"remaining": 7,
"paid_quantity": 5
}
]
}
Body Parameters
Response
{
"list": [
{
"license_plan_id": "seat_plan",
"parent_plan_id": "pro_plan",
"license_plan_name": "Seat",
"granted": 10,
"usage": 3,
"remaining": 7,
"paid_quantity": 5
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
200 - application/json
OK
Show child attributes
Show child attributes
⌘I